Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class FilterAlphaRable

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.FilterAlphaRable

All Implemented Interfaces:
  Filter, java.awt.image.renderable.RenderableImage

public class FilterAlphaRable
extends AbstractRable

FilterAlphaRable implementation. This will take any source Filter and convert it to an alpha channel image according to the SVG SourceAlpha Filter description. This sets RGB to black and Alpha to the source image's alpha channel.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`FilterAlphaRable(Filter src)`

Method Summary
`java.awt.image.RenderedImage` | `createRendering(java.awt.image.renderable.RenderContext rc)`
`java.awt.geom.Rectangle2D` | `getBounds2D()` Pass-through: returns the source's bounds
`Filter` | `getSource()`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterAlphaRable

    public FilterAlphaRable(Filter src)

Method Detail

### getSource

    public Filter getSource()

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Pass-through: returns the source's bounds

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### createRendering

    public java.awt.image.RenderedImage createRendering(java.awt.image.renderable.RenderContext rc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.